\def\filedate{2015/03/01}
\def\fileversion{1.0}
\NeedsTeXFormat{LaTeX2e}[1995/12/01]
\ProvidesClass{math}[\filedate\space v\fileversion\space Pf KU in RUZOMBEROK MATH LaTeX document class]

\LoadClass[b5paper,10pt,twoside]{article}


\RequirePackage{graphicx}
\RequirePackage{fancyhdr}


\def\slovensky{%
\def\abstractname{Abstrakt}
\def\keywordsname{K\v{l}\'\u\v{c}ov\'e slov\'a}
\def\subjclassname{Klasifik\'acia}
\RequirePackage{slovak}
\def\refname{Literat\'ura}}
\def\english{%
\def\refname{References}
\def\abstractname{Abstract}
\def\keywordsname{Keywords}
\def\subjclassname{Classification}}


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% nastavenie fontu
%
%
\def\MATHfontsmall{\small\rm}
\def\MATHfontaddress{\footnotesize\it}
\def\MATHfonttitle{\Large\bf}
\def\MATHfontauthor{\bf}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% nastavenie vzhladu stranky
%
\special{papersize=165mm,240mm}

\setlength{\paperwidth}{165mm}
\setlength{\paperheight}{240mm}

\setlength{\voffset}{-16mm}
\setlength{\topmargin}{0pt}
\setlength{\headheight}{5mm}
\setlength{\headsep}{6mm}

\setlength{\hoffset}{-1cm}
\setlength{\evensidemargin}{0pt}
\setlength{\oddsidemargin}{6mm}

\setlength{\textwidth}{128mm}
\setlength{\textheight}{200mm}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% changes in the article style
% ----------------------------
% changes sectioning headers (compare article.sty, art12.sty)
% zmensenie medzier pred a za nadpisom, zmena fontu nadpisu
%
\def\@seccntformat#1{\csname the#1\endcsname\ }
\renewcommand\section{\@startsection {section}{1}{\z@}%
    {-1.5ex plus -1ex minus -.2ex}%
    {0.5ex plus .2ex}% {0.5ex plus.2ex}%
    {\reset@font\large\bf}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
    {-1.0explus -1ex minus- .2ex}% 3.25->3.0
    {0.5ex plus .2ex}%
    {\reset@font\normalsize\bf}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
    {-1.0explus -1ex minus -.2ex}%
    {0.5ex plus .2ex}%
    {\reset@font\normalsize\bf}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
    {1.0ex plus .2ex minus .2ex}%
    {-1em}%
    {\reset@font\normalsize\bf}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
    {1.0ex plus .2ex minus .2ex}%
    {-1em}%
    {\reset@font\normalsize\bf}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% changes list (itemize, ...) environment
%
\setlength\partopsep{0\p@ plus 0\p@ minus 0\p@}
\def\@listI{\setlength\leftmargin{\leftmargini}
    \setlength\parsep {\parskip}%
    \setlength\topsep {0\p@ plus 0\p@ minus 0\p@}%
    \setlength\itemsep{\smallskipamount}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Definicia zahlavia
%
%
\pagestyle{empty}
\fancyhead{}
\fancyfoot{}
\fancyhead[RE]{{\footnotesize \the\MATH@Author}}
\fancyhead[LE]{{\small \thepage}}
\fancyhead[LO]{{\footnotesize \the\MATH@ShortTitle}}
\fancyhead[RO]{{\small \thepage}}
\fancyfoot[CO,CE]{}
%\renewcommand{\headrulewidth}{1pt}
\headheight=16pt

\fancypagestyle{FirstPage}
{
  \fancyhead[LE,LO]{{\footnotesize Scientific Issues, MATHEMATICA V, Ru\v{z}omberok 2015}}
  \fancyhead[RE,RO]{}%{\small \thepage}
  \fancyfoot[CO,CE]{}
%  \renewcommand{\headrulewidth}{1pt}
  \headheight=16pt
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Definicia premennych
%
%
\newtoks\MATH@Author
\newtoks\MATH@Title
\newtoks\MATH@ShortTitle
\newtoks\MATH@Abstract
\newtoks\MATH@Keywords
\newtoks\MATH@Address
\newtoks\MATH@Subjclass

%
% Makro pre pridavanie retazca na koniec toksu
%
% Pouziti:
%    \newtoks\mytoks
%    \mytoks{velk} \totokse\mytoks{ pes}
%
%
\long\def\totokse#1#2{#1%
  \expandafter{\the#1#2}}

%
% Inicializacia premennych
%
%
\MATH@Address={}%

%
% Definicia prikazu pre pracu s premennymi
%
%
\newcommand{\Author}[1]{\MATH@Author={#1}}
\newcommand{\Title}[1]{\MATH@Title={#1}}
\newcommand{\ShortTitle}[1]{\MATH@ShortTitle={#1}}
\newcommand{\Abstract}[1]{\MATH@Abstract={#1}}
\newcommand{\Keywords}[1]{\MATH@Keywords={#1}}
%\newcommand{\Address}[3]{\MATH@Address{\smallskip #1 \par #2 \par #3 \par}}
\newcommand{\Address}[3]{\totokse\MATH@Address{\smallskip #1 \par #2 \par #3 \par}}
\newcommand{\Subjclass}[1]{\MATH@Subjclass={#1}}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Titulok clanku
%
%
\newcommand{\SetUpTitle}
{
  \thispagestyle{empty}
  \begin{center}
  {\MATHfonttitle \the\MATH@Title\\} \medskip
  {\MATHfontauthor \the\MATH@Author\\}
  {\MATHfontaddress \the\MATH@Address}
  \end{center}
  \begin{center}
    \begin{minipage}{0.9\textwidth}
%    \baselineskip=9pt
    \footnotesize
    {\small\textbf{\abstractname}. \the\MATH@Abstract\\[1ex]}
    {\small\textit{\keywordsname}: \the\MATH@Keywords\\[1ex]}
    {\small\textit{\subjclassname}: \the\MATH@Subjclass\\[1ex]}
    \end{minipage}
  \end{center}
}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Modifikacia literatury (zmensenie medzier)
%
%
\makeatletter
\renewcommand\@openbib@code{%
     \advance\leftmargin  \z@ %\bibindent
 %    \itemindent \bibindent
     \itemindent \z@
%     \listparindent -bibindent
     % Move bibitems close together
     \parsep -0.8ex %original value: \z@
     }
\makeatother
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%



\endinput
